Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Interface SchemaSerializer

All Superinterfaces:
  MetaDataSerializer

All Known Implementing Classes:
  XMLSchemaSerializer

    public interface SchemaSerializer

extends MetaDataSerializer

Interface for schema serializers. Serializers work at the fine-grained fine-grained table level to allow you to split schemas among multiple files.

Author:
  Abe White

Field Summary

Fields inherited from interface org.apache.openjpa.lib.meta.MetaDataSerializer
`APPEND, COMPACT, PRETTY, VERBOSE`

Method Summary
`void` | `addAll(Schema schema)` Add the given schema's objects to the set of objects that will be serialized.
`void` | `addAll(SchemaGroup group)` Add all the objects in the given group to the set of objects that will be serialized.
`void` | `addTable(Table table)` Add the given table to the set of tables that will be serialized.
`void` | `clear()` Clear the set of objects to be serialized.
`Table[]` | `getTables()` Return the set of tables that will be serialized.
`boolean` | `removeAll(Schema schema)` Remove the given schema's objects from the set to be serialized.
`boolean` | `removeAll(SchemaGroup group)` Remove all schemas in the given group from the set to be serialized.
`boolean` | `removeTable(Table table)` Remove the given table from the set to be serialized.

Methods inherited from interface org.apache.openjpa.lib.meta.MetaDataSerializer
`serialize, serialize, serialize, serialize`

Method Detail

### getTables

    Table[] getTables()

  Return the set of tables that will be serialized.

### addTable

    void addTable(Table table)

  Add the given table to the set of tables that will be serialized.

### removeTable

    boolean removeTable(Table table)

  Remove the given table from the set to be serialized.

  Returns:
    true if table was removed, false if not in set

### addAll

    void addAll(Schema schema)

  Add the given schema's objects to the set of objects that will be serialized.

### addAll

    void addAll(SchemaGroup group)

  Add all the objects in the given group to the set of objects that will be serialized.

### removeAll

    boolean removeAll(Schema schema)

  Remove the given schema's objects from the set to be serialized.

  Returns:
    true if any objects in schema removed, false if none in set

### removeAll

    boolean removeAll(SchemaGroup group)

  Remove all schemas in the given group from the set to be serialized.

  Returns:
    true if any objects in the group were removed, false if none in set

### clear

    void clear()

  Clear the set of objects to be serialized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.